Only in mg-1.3x: MAKE-MG-DIST.bin-files
Only in mg-1.3x: MAKE-MG-DIST.man-files
Only in mg-1.3x: MAKE-MG-DIST.sh
Only in mg-1.3: Makefile
diff -r -c mg-1.3/SampleData/Makefile mg-1.3x/SampleData/Makefile
*** mg-1.3/SampleData/Makefile	Tue Mar 25 18:43:48 1997
--- mg-1.3x/SampleData/Makefile	Fri May 16 12:44:01 1997
***************
*** 1,4 ****
--- 1,18 ----
  DISTFILES = Makefile alice13a.txt.Z MODIFICATIONS 
  
+ SHELL		= /bin/sh
+ 
  dist:
  	ln $(DISTFILES) $(distdir)
+ 
+ mostlyclean:
+ 	rm -f *$o _*.c _*.o *._c *._o core core.*
+  
+ clean: mostlyclean
+  
+ distclean: clean
+ 	rm -f Makefile
+  
+ maintainer-clean: distclean
+ 	@echo "This command is intended only for maintainers to use;"
+ 	@echo "rebuilding the deleted files may require special tools."
Only in mg-1.3x/SampleData: Makefile.orig
diff -r -c mg-1.3/SampleData/bible/Makefile mg-1.3x/SampleData/bible/Makefile
*** mg-1.3/SampleData/bible/Makefile	Tue Mar 25 18:43:55 1997
--- mg-1.3x/SampleData/bible/Makefile	Fri May 16 12:44:03 1997
***************
*** 1,5 ****
--- 1,21 ----
  DISTFILES = \
  	Makefile genesis.txt.Z revelation.txt.Z
  
+ SHELL		= /bin/sh
+ 
+ all:	dist
+ 
  dist:
  	ln $(DISTFILES) $(distdir)
+ 
+ mostlyclean:
+ 	rm -f *$o _*.c _*.o *._c *._o core core.*
+  
+ clean: mostlyclean
+  
+ distclean: clean
+ 	rm -f Makefile
+  
+ maintainer-clean: distclean
+ 	@echo "This command is intended only for maintainers to use;"
+ 	@echo "rebuilding the deleted files may require special tools."
Only in mg-1.3x/SampleData/bible: Makefile.orig
Only in mg-1.3: config.cache
Only in mg-1.3: config.h
diff -r -c mg-1.3/config.h.in mg-1.3x/config.h.in
*** mg-1.3/config.h.in	Tue Mar 25 18:45:30 1997
--- mg-1.3x/config.h.in	Sat May 17 12:10:54 1997
***************
*** 51,59 ****
  /* If using the C implementation of alloca, define if you know the
     direction of stack growth for your system; otherwise it will be
     automatically deduced at run-time.
! 	STACK_DIRECTION > 0 => grows toward higher addresses
! 	STACK_DIRECTION < 0 => grows toward lower addresses
! 	STACK_DIRECTION = 0 => direction of growth unknown
   */
  #undef STACK_DIRECTION
  
--- 51,59 ----
  /* If using the C implementation of alloca, define if you know the
     direction of stack growth for your system; otherwise it will be
     automatically deduced at run-time.
!  STACK_DIRECTION > 0 => grows toward higher addresses
!  STACK_DIRECTION < 0 => grows toward lower addresses
!  STACK_DIRECTION = 0 => direction of growth unknown
   */
  #undef STACK_DIRECTION
  
***************
*** 66,71 ****
--- 66,75 ----
  /* Define if your <sys/time.h> declares struct tm.  */
  #undef TM_IN_SYS_TIME
  
+ /* Define if your processor stores words with the most significant
+    byte first (like Motorola and SPARC, unlike Intel and VAX).  */
+ #undef WORDS_BIGENDIAN
+ 
  /* Define to the name of the distribution.  */
  #undef PACKAGE
  
***************
*** 98,103 ****
--- 102,110 ----
  /* Define if you have the ftime function.  */
  #undef HAVE_FTIME
  
+ /* Define if you have the ftruncate function.  */
+ #undef HAVE_FTRUNCATE
+ 
  /* Define if you have the getpagesize function.  */
  #undef HAVE_GETPAGESIZE
  
***************
*** 113,120 ****
--- 120,133 ----
  /* Define if you have the setbuffer function.  */
  #undef HAVE_SETBUFFER
  
+ /* Define if you have the strcasecmp function.  */
+ #undef HAVE_STRCASECMP
+ 
  /* Define if you have the strftime function.  */
  #undef HAVE_STRFTIME
+ 
+ /* Define if you have the strstr function.  */
+ #undef HAVE_STRSTR
  
  /* Define if you have the strtol function.  */
  #undef HAVE_STRTOL
Only in mg-1.3x: config.h.in.orig
Only in mg-1.3: config.log
Only in mg-1.3: config.status
diff -r -c mg-1.3/configure.in mg-1.3x/configure.in
*** mg-1.3/configure.in	Tue Mar 25 18:45:35 1997
--- mg-1.3x/configure.in	Sat May 17 11:04:22 1997
***************
*** 5,11 ****
  
  dnl
  PACKAGE=mg
! VERSION=1.2
  
  AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE")
  AC_DEFINE_UNQUOTED(VERSION, "$VERSION")
--- 5,11 ----
  
  dnl
  PACKAGE=mg
! VERSION=1.3x
  
  AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE")
  AC_DEFINE_UNQUOTED(VERSION, "$VERSION")
***************
*** 27,32 ****
--- 27,33 ----
  AC_ISC_POSIX
  AC_MINIX
  fp_C_PROTOTYPES
+ AC_C_BIGENDIAN
  AC_C_CONST
  AC_TYPE_OFF_T
  AC_TYPE_SIZE_T
***************
*** 67,73 ****
  AC_FUNC_VPRINTF
  AC_CHECK_FUNCS(ftime select strftime strtol getrusage times mallinfo setbuffer getpagesize)
  AC_REPLACE_FUNCS(ftruncate strstr strcasecmp)
- 
  
  # *** Custom checking (based on GNU tar configure.in) ***
  # ---------------------------------------------------------------------------
--- 68,73 ----
Only in mg-1.3x: configure.in.orig
diff -r -c mg-1.3/docs/Makefile mg-1.3x/docs/Makefile
*** mg-1.3/docs/Makefile	Tue Mar 25 18:45:31 1997
--- mg-1.3x/docs/Makefile	Fri May 16 12:44:09 1997
***************
*** 1,5 ****
--- 1,21 ----
  DISTFILES = Makefile mgmerge.README mg_invf_dump.changes \
    README.man mg.1 mgintro.1 mgintro++.1
  
+ SHELL		= /bin/sh
+ 
+ all:	dist
+ 
  dist:
  	ln $(DISTFILES) $(distdir)
+ 
+ mostlyclean:
+ 	rm -f *$o _*.c _*.o *._c *._o core core.*
+  
+ clean: mostlyclean
+  
+ distclean: clean
+ 	rm -f Makefile
+  
+ maintainer-clean: distclean
+ 	@echo "This command is intended only for maintainers to use;"
+ 	@echo "rebuilding the deleted files may require special tools."
Only in mg-1.3x/docs: Makefile.orig
Only in mg-1.3/lib: Makefile
diff -r -c mg-1.3/lib/netorder.h mg-1.3x/lib/netorder.h
*** mg-1.3/lib/netorder.h	Tue Mar 25 18:45:48 1997
--- mg-1.3x/lib/netorder.h	Mon May 19 11:06:14 1997
***************
*** 13,31 ****
  # include <netinet/in.h>
  #endif
  
! #if defined (BIG_ENDIAN) || defined (_BIG_ENDIAN) || defined (__BIG_ENDIAN)
! # ifndef _BIG_ENDIAN
! #  define _BIG_ENDIAN
! # endif
! #endif
! 
! #if defined (LITTLE_ENDIAN) || defined (_LITTLE_ENDIAN) || defined(__LITTLE_ENDIAN)
! # ifndef _LITTLE_ENDIAN
! #  define _LITTLE_ENDIAN
! # endif
! #endif
! 
! #ifdef _LITTLE_ENDIAN
  
  /* double */
  #define HTOND(d)                                                                                  \
--- 13,19 ----
  # include <netinet/in.h>
  #endif
  
! #if !defined(WORDS_BIGENDIAN)		/* then LITTLE_ENDIAN */
  
  /* double */
  #define HTOND(d)                                                                                  \
Only in mg-1.3x: long-to-mg_long.sh
Only in mg-1.3x: mg-1.3-to-1.3x.patch
Only in mg-1.3/src/images: Makefile
diff -r -c mg-1.3/src/text/read_line.c mg-1.3x/src/text/read_line.c
*** mg-1.3/src/text/read_line.c	Tue Mar 25 18:46:30 1997
--- mg-1.3x/src/text/read_line.c	Fri May 16 12:44:44 1997
***************
*** 27,33 ****
  #ifdef GNU_READLINE
  #include "readline.h"
  #include "chardefs.h"
! #include "history.h"
  #endif
  
  
--- 27,35 ----
  #ifdef GNU_READLINE
  #include "readline.h"
  #include "chardefs.h"
! #if 0
! #include "history.h"	/* dropped from recent versions of GNU readline */
! #endif
  #endif
  
  
***************
*** 72,99 ****
  #ifdef GNU_READLINE
  static void memory_error_and_abort ();
  
! char *
  xmalloc (bytes)
!      int bytes;
  {
!   char *temp = (char *) Xmalloc (bytes);
  
    if (!temp)
      memory_error_and_abort ();
    return (temp);
  }
  
! char *
  xrealloc (pointer, bytes)
!      char *pointer;
!      int bytes;
  {
!   char *temp;
  
    if (!pointer)
!     temp = (char *) xmalloc (bytes);
    else
!     temp = (char *) Xrealloc (pointer, bytes);
  
    if (!temp)
      memory_error_and_abort ();
--- 74,101 ----
  #ifdef GNU_READLINE
  static void memory_error_and_abort ();
  
! voidstar
  xmalloc (bytes)
!      size_t bytes;
  {
!   voidstar temp = (voidstar ) Xmalloc (bytes);
  
    if (!temp)
      memory_error_and_abort ();
    return (temp);
  }
  
! voidstar
  xrealloc (pointer, bytes)
!      voidstar pointer;
!      size_t bytes;
  {
!   voidstar temp;
  
    if (!pointer)
!     temp = (voidstar ) xmalloc (bytes);
    else
!     temp = (voidstar ) Xrealloc (pointer, bytes);
  
    if (!temp)
      memory_error_and_abort ();
Only in mg-1.3x/src/text: read_line.c.orig
diff -r -c mg-1.3/src/text/text_get.c mg-1.3x/src/text/text_get.c
*** mg-1.3/src/text/text_get.c	Tue Mar 25 18:46:16 1997
--- mg-1.3x/src/text/text_get.c	Sun May 25 11:09:14 1997
***************
*** 738,744 ****
      if (IS_FIXUP (p))
        {
  	NTOHUL(*p);  /* [RPAP - Jan 97: Endian Ordering] */
! 	*p = *p + (u_long) cd;
        }
  
    /* [RPAP - Jan 97: Endian Ordering] */
--- 738,747 ----
      if (IS_FIXUP (p))
        {
  	NTOHUL(*p);  /* [RPAP - Jan 97: Endian Ordering] */
! 	if ((long)(*p) >= 0)	/* positive offset, so have valid pointer */
! 	  *p = *p + (u_long) cd;
! 	else			/* negative offset, so have NULL pointer */
! 	  *p = (u_long)NULL;
        }
  
    /* [RPAP - Jan 97: Endian Ordering] */
diff -r -c mg-1.3/src/text/words.h mg-1.3x/src/text/words.h
*** mg-1.3/src/text/words.h	Tue Mar 25 18:46:21 1997
--- mg-1.3x/src/text/words.h	Fri May 16 12:44:48 1997
***************
*** 45,51 ****
  	/* Maximum length in bytes of any stem. Note that
  	   variations to MAXSTEMLEN may have dramatic effects on the rest
  	   of the program, , i.e., leave MAXSTEMLEN alone... */
! #define MAXNUMERIC	4
  	/* Maximum number of numeric characters permitted in a word.
  	   This avoids long sequences of numbers creating just one
  	   word occurrence for each number. At most 10,000 all numeric
--- 45,55 ----
  	/* Maximum length in bytes of any stem. Note that
  	   variations to MAXSTEMLEN may have dramatic effects on the rest
  	   of the program, , i.e., leave MAXSTEMLEN alone... */
! 
! /* For mg version 1.3x, we increase MAXNUMERIC from 4 to 15 to support
! searching for ISBN and ISSN data. */
! 
! #define MAXNUMERIC	15
  	/* Maximum number of numeric characters permitted in a word.
  	   This avoids long sequences of numbers creating just one
  	   word occurrence for each number. At most 10,000 all numeric
***************
*** 58,64 ****
  #define WEIGHTPARAM     '/'
  #define STEMPARAM       '#'
  
! #define	INAWORD(c)	(isascii(c) && isalnum(c))
  	/* The definition of what characters are permitted in a word
  	 */
  
--- 62,88 ----
  #define WEIGHTPARAM     '/'
  #define STEMPARAM       '#'
  
! /* For mg version 1.3x, we allow a few other characters in words, to
! support searching for ISBN and ISSN values, programming language
! identifiers, and names like O'Reilly.  An experiment to include colon to
! support BibNet-style citation labels was abandoned because then words
! ending in a colon are indexed with the colon, e.g.  "Albert Einstein:
! Philosopher-Scientist" will not produce a match on Einstein, but only on
! Einstein:, which a searcher would not expect.  BibNet-style citation
! labels can still be found, using Boolean search, e.g.  "Knuth:1988:TP"
! can be found as "knuth & 1988 & tp".
! 
! Ideas for future work: index subwords of words, so that Internet host
! names, URLs, parts of ISBNs, etc can also be searched for. */
! 
! static int c__;
! #define isextendedletter(c) (c__ = (c), \
! 			     ((c__ == '-') || \
! 			      (c__ == '_') || \
! 			      (c__ == '\\') || \
! 			      (c__ == '\'')))
! 
! #define	INAWORD(c)	(isascii(c) && (isalnum(c) || isextendedletter(c)))
  	/* The definition of what characters are permitted in a word
  	 */
  
Only in mg-1.3x/src/text: words.h.orig
Only in mg-1.3: stamp-h
diff -r -c mg-1.3/test/Makefile mg-1.3x/test/Makefile
*** mg-1.3/test/Makefile	Tue Mar 25 18:48:23 1997
--- mg-1.3x/test/Makefile	Fri May 16 12:44:50 1997
***************
*** 1,6 ****
--- 1,8 ----
  DISTFILES = Makefile q1 q2 q3 r1 r2 r3 mgrc1 mgrc2 mgrc3 testmg \
              alice.sum simple_sum.c alice.len
  
+ SHELL		= /bin/sh
+ 
  all: simple_sum
  
  dist:
***************
*** 8,10 ****
--- 10,24 ----
  
  simple_sum: simple_sum.c
  	cc -o $@ $?
+ 
+ mostlyclean:
+ 	rm -f *$o _*.c _*.o *._c *._o core core.*
+  
+ clean: mostlyclean
+  
+ distclean: clean
+ 	rm -f Makefile
+  
+ maintainer-clean: distclean
+ 	@echo "This command is intended only for maintainers to use;"
+ 	@echo "rebuilding the deleted files may require special tools."
Only in mg-1.3x/test: Makefile.orig
